FileToStringSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.convert

## Class FileToStringSampleStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<File,String>
  - - opennlp.tools.formats.convert.FileToStringSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<String>

      public class FileToStringSampleStream
      extends FilterObjectStream<File,String>

  Provides the ability to read the contents of files contained in an object stream of files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileToStringSampleStream(ObjectStream<File> samples, Charset encoding)` Creates a new file-to-string sample stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `read()` Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileToStringSampleStream

          public FileToStringSampleStream(ObjectStream<File> samples,
                                          Charset encoding)

      Creates a new file-to-string sample stream.
      Parameters:
        `samples` - The `ObjectStream` containing the files.
        `encoding` - The `Charset` encoding of the files.

  - ### Method Detail

    - #### read

          public String read()
                      throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.